aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorS├ębastien Fabbro <bicatali@gentoo.org>2010-06-14 20:00:10 +0100
committerS├ębastien Fabbro <bicatali@gentoo.org>2010-06-14 20:00:10 +0100
commitd0c8b33f24ed4bc22b009c4e23ced82f4e3d0cab (patch)
treed47aa5385fd17ff966044023e8328358c81aafd4 /sys-cluster/classads/classads-1.0.8.ebuild
parent[sci-geosciences/grass] remove the grass version. better one available in por... (diff)
downloadsci-d0c8b33f24ed4bc22b009c4e23ced82f4e3d0cab.tar.gz
sci-d0c8b33f24ed4bc22b009c4e23ced82f4e3d0cab.tar.bz2
sci-d0c8b33f24ed4bc22b009c4e23ced82f4e3d0cab.zip
classads bump
Diffstat (limited to 'sys-cluster/classads/classads-1.0.8.ebuild')
-rw-r--r--sys-cluster/classads/classads-1.0.8.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/sys-cluster/classads/classads-1.0.8.ebuild b/sys-cluster/classads/classads-1.0.8.ebuild
new file mode 100644
index 000000000..d723421b0
--- /dev/null
+++ b/sys-cluster/classads/classads-1.0.8.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+DESCRIPTION="Condor's classified advertisement language"
+HOMEPAGE="http://www.cs.wisc.edu/condor/classad"
+SRC_URI="ftp://ftp.cs.wisc.edu/condor/classad/c++/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="pcre"
+
+RDEPEND="pcre? ( dev-libs/libpcre )"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ econf \
+ --enable-namespace \
+ --enable-flexible-member
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc README CHANGELOG NOTICE.txt
+}